QConstString(3qt)

NAME
QConstString - String objects using constant Unicode data

SYNOPSIS
#include <qstring.h>

  Public Members
QConstString ( const QChar * unicode, uint length )
~QConstString ()
const QString & string () const

DESCRIPTION
The QConstString class provides string objects using constant Unicode data.

In order to minimize copying, highly optimized applications can use QConstString to provide a QString-compatible object from existing Unicode data. It is then the programmer's responsibility to ensure that the Unicode data exists for the entire lifetime of the QConstString object.

A QConstString is created with the QConstString constructor. The string held by the object can be obtained by calling string().

See also Text Related Classes.

MEMBER FUNCTION DOCUMENTATION

QConstString::QConstString ( const QChar * unicode, uint length )
Constructs a QConstString that uses the first length Unicode characters in the array unicode. Any attempt to modify copies of the string will cause it to create a copy of the data, thus it remains forever unmodified.

The data in unicode is not copied. The caller must be able to guarantee that unicode will not be deleted or modified.

QConstString::~QConstString ()
Destroys the QConstString, creating a copy of the data if other strings are still using it.

const QString & QConstString::string () const
Returns a constant string referencing the data passed during construction.

SEE ALSO
http://doc.trolltech.com/qconststring.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qconststring.3qt) and the Qt version (3.0.5).